# Domain Data

The Domain Endpoint returns Lists of Domain Attributes or associated Resources, that are not Media Items.

## Domain Attributes

## /publicinfo

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/publicinfo`

#### Query Parameters

| Name               | Type    | Description |
| ------------------ | ------- | ----------- |
| addCustomAttribues | boolean |             |
| addChannels        | boolean |             |
| addFormats         | boolean |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /instantconfiguration

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/instantconfiguration/:token`

returns all necessary Details for Domain API Access via a One-Time Token. Often used to configure a Backend automtically without the need to memorize all API Secrets and Session Details.

#### Path Parameters

| Name  | Type   | Description                               |
| ----- | ------ | ----------------------------------------- |
| token | string | The One-Time Token for the calling Domain |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /offlineconfiguration

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/offlineconfiguration`

returns all necessary Details for Handling the Offline Playback System. This Endpoint is normally only relevant for nexxPLAY.

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /uploadconfiguration

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/uploadconfiguration`

returns all necessary Details for initiating an API-driven File Upload. This Endpoint is normally only relevant for API SDKs.

#### Path Parameters

| Name | Type   | Description                           |
| ---- | ------ | ------------------------------------- |
| file | string | the Filename, that shall be uploaded. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Domain Associations

## /apps

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/apps`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /campaigns

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/campaigns`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /accounts

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/accounts`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /liveconnections

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/liveconnections`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /channels

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/channels`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /formats

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/formats`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /videocategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/videocategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /audiocategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/audiocategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /imagecategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/imagecategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /filecategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/filecategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /articlecategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/articlecategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /eventcategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/eventcategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /placecategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/placecategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /productcategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/productcategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /tags

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/tags`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /autoupdatefeeds

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/autoupdatefeeds`

will return all active (M)RSS, Podcast and Assistant AutoExporters

#### Query Parameters

| Name             | Type    | Description                                 |
| ---------------- | ------- | ------------------------------------------- |
| addStreamDetails | boolean | set to 1 to include Origin and URL Metadata |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /previewlinks

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/previewlinks`

will return all active PreviewLinks for all Media Items of the calling Domain

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /broadcastlinks

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/broadcastlinks`

will return all active BroadcastLinks for all Media Items of the calling Domain

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /dashboardlinks

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/dashboardlinks`

will return all active DashboardLinks for the calling Domain

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /uploadlinks

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/uploadlinks`

will return all active UploadLinks for the calling Domain

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /downloadlinks

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/downloadlinks`

will return all active DownloadLinks for the calling Domain

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /widgets

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/widgets`

will return all active nexxPLAY Widgets for the calling Domain

#### Request Body

| Name             | Type    | Description                                 |
| ---------------- | ------- | ------------------------------------------- |
| addStreamDetails | boolean | set to 1 to include Origin and URL Metadata |
| addStreamDetails | boolean | set to 1 to include Embed URLs              |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /prices

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/prices`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /affiliatepartners

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/affiliatepartners`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /adproviders

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/adproviders`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /payproviders

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/payproviders`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /avsproviders

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/avsproviders`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /licensors

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/licensors`

#### Query Parameters

| Name       | Type   | Description                                                |
| ---------- | ------ | ---------------------------------------------------------- |
| streamtype | string | if set, only return the Licensors for the given Streamtype |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /deliverypartners

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/deliverypartners`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /paymodel

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/paymodel`

This Endpoint is a Shortcut for the various Payment Details. It combines the "**prices**" and "**payproviders**" with some Payment specific Text Templates and fastens the Data Query for Payment Configuration on the Frontend Side.

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /texttemplates

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/texttemplates/:reference`

This Endpoint  returns a static TextTemplate, predefined in nexxOMNIA. It is only used in Frontend Situations, managed by 3Q nexx.

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Network Relations

## /networkdomains

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/networkdomains`

This Call will list all Domains, that are in the same Network as the calling Domain. Bascially, the /**publicinfo** Result for each Domain will be included. If more Details are desired, you may add one of the following Output Modifiers.

#### Query Parameters

| Name                 | Type    | Description |
| -------------------- | ------- | ----------- |
| addChannels          | boolean |             |
| addFormats           | boolean |             |
| addVideoCategories   | boolean |             |
| addAudioCategories   | boolean |             |
| addImageCategories   | boolean |             |
| addFileCategories    | boolean |             |
| addArticleCategories | boolean |             |
| addEventCategories   | boolean |             |
| addPlaceCategories   | boolean |             |
| addAccounts          | boolean |             |
| addLiveConnections   | boolean |             |
| addAutoUpdateFeeds   | boolean |             |
| addTags              | boolean |             |
| addCustomAttributes  | boolean |             |
| addProductCategores  | boolean |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## System User Relations

## /systemusers

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/domain/systemusers`

This Call will list all nexxOMNIA (or nexxGO) Users, that may access the calling Domain. A List of Rights is returned too.

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.docs.nexx.cloud/management-api/endpoints/domain-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
